@import "globals.css";
@import "flex.css";

i {
  font-size: 2rem;
}

.grid {
  display: grid;
  grid-template-columns: 1fr 1fr;
  grid-gap: 1rem;
}

.card {
  margin: 1rem;
  padding: 1.5rem;
  text-align: center;
  color: inherit;
  text-decoration: none;
  border: 1px solid #eaeaea;
  border-radius: 10px;
  transition: color 0.15s ease, border-color 0.15s ease;
  max-width: 300px;
}

.card:hover,
.card:focus,
.card:active {
  color: var(--lighter);
  border-color: var(--col-80);
}

.card h2 {
  margin: 0 0 1rem 0;
  font-size: 1.5rem;
}

.card p {
  margin: 0;
  font-size: 1.25rem;
  line-height: 1.5;
}

.card .img-container {
  height: 11rem;
  margin: 0 auto 1.5rem;
}

.img-container img {
  max-width: 100%;
  width: 100%;
  height: 100%;
  overflow: hidden;
  object-fit: cover;
}

.btn {
  background-color: var(--col-60);
  color: var(--white);
}

.main {
  min-height: 100vh;
  flex: 1;
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.section {
  text-align: center;
  padding: 5rem 15rem;
}

.navbar {
  width: 100%;
  padding: 2rem;
  position: absolute;
  top: 0;
  background-color: rgba(255, 255, 255, 0);
}

.navbar a.nav-link {
  font-weight: 100;
  padding-left: 1.5rem !important;
  padding-right: 1.5rem !important;
}

.navbar a {
  color: var(--white);
  text-decoration: none;
}

.navbar a:hover {
  color: var(--darker);
}

.navbar-brand {
  text-transform: uppercase;
  font-size: 1.5rem;
  font-weight: 900;
  font-family: var(--heading-font);
  letter-spacing: 4px;
  line-height: 0;
  margin: 0;
}

.navbar-menu {
  width: auto;
  height: auto;
  margin: 0 0 0 auto;
  position: relative;
}

/* .title a:hover,
.title a:focus,
.title a:active {
  text-decoration: underline;
} */

.title-section {
  height: 100vh;
  color: var(--white);
  background-image: url("../public/img/bg-title.jpeg");
  background-size: cover;
  box-shadow: inset 0 0 0 2000px rgba(47, 48, 58, 0.7);
  padding: 13rem 1rem 0;
}

.title-heading h1 {
  line-height: 1.15;
  letter-spacing: 5px;
  font-size: 6.5rem;
  font-weight: 500;
}

.title-actions {
  margin: 3rem 0;
}

.title-text {
  font-size: 2rem;
  margin: 0;
}

.CTA {
  width: 300px;
  padding: 15px;
  margin-top: 5px;
  margin-bottom: 20px;
  background-color: var(--pink-60);
  color: var(--white);
  font-size: large;
}

.CTA:hover {
  background-color: rgba(255, 255, 255, 0);
  border-color: var(--white);
  color: var(--white);
}

#our-mission-section {
  color: var(--pink-60);
  /* background: linear-gradient(130deg, 
  rgba(57,5,79,1) 0%, 
  rgba(140,24,89,1) 11%, 
  rgba(183,34,92,1) 22%, 
  rgba(224,43,98,1) 34%, 
  rgba(232,60,74,1) 46%, 
  rgba(239,78,49,1) 58%, 
  rgba(248,97,28,1) 69%, 
  rgba(254,114,3,1) 81%, 
  rgba(254,148,28,1) 91%, 
  rgba(252,181,57,1) 100%); */
}

.our-mission-block p {
  font-size: 1.5rem;
}

.our-mission-block hr {
  border-color: var(--pink-60);
  background-color: var(--pink-60);
}

.quote-section {
  background-image: url("../public/img/bg-quote-section-v2.jpg");
  background-size: cover;
  background-position: bottom;
  box-shadow: inset 0 0 0 2000px rgba(47, 48, 58, 0.7);
  text-align: left;
  color: var(--white);

  grid-template-columns: 1fr 8fr;
  grid-gap: 3rem;
}

.quote-section h1 {
  font-weight: 800;
  text-shadow: 1px 1px 4px black;
  /* background: linear-gradient(260deg, 
  rgba(183,34,92,1) 0%, 
  rgba(224,43,98,1) 16%, 
  rgba(232,60,74,1) 31%, 
  rgba(239,78,49,1) 46%, 
  rgba(248,97,28,1) 61%, 
  rgba(254,114,3,1) 76%, 
  rgba(254,148,28,1) 91%, 
  rgba(252,181,57,1) 100%);
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent; */
}

.vl {
  width: 1rem;
  /* Line width */
  background: var(--white);
  /* Line color */
  height: 100%;
  /* Override in-line if you want specific height. */
  display: inline-block;
  margin: 0 0 0 auto;
  box-shadow: 1px 1px 4px black;
}

.slide-underline {
  background-image: linear-gradient(var(--pink-60), var(--pink-60));
  background-size: 100% 0.1em;
  background-position-y: 100%;
  background-position-x: 0%;
  background-repeat: no-repeat;
  transition: background-size 0.2s ease-in-out;
}

.slide-underline:hover {
  background-size: 0% 0.1em;
}

.survey-section a {
  color: var(--pink-60);
}

.survey-section a:hover {
  color: var(--pink-60);
}

footer {
  padding: 40px 0;
  background-color: var(--black);
  color: var(--white);
}

footer ul {
  padding: 0;
  list-style: none;
  text-align: center;
  font-size: 18px;
  line-height: 1.6;
  margin-bottom: 0;
}

footer li {
  padding: 0 10px;
}

footer .social {
  text-align: center;
  padding-bottom: 25px;
}

footer .copyright {
  margin-top: 15px;
  text-align: center;
  font-size: 13px;
  color: #aaa;
  margin-bottom: 0;
}

@media (max-width: 600px) {
  .grid {
    /* display: flex;
    width: 100%;
    flex-direction: column; */
    grid-template-columns: 1fr;
  }

  .card {
    padding: 1rem;
  }

  .section {
    padding: 2.5rem 1.5rem;
  }

  .navbar {
    background-color: var(--black);
    padding: 1rem 2rem;
  }

  .navbar-brand {
    font-size: 1.15rem;
  }

  .title-section {
    padding-top: 40%;
  }

  .title-heading h1 {
    font-size: 4rem;
  }

  .our-mission-block {
    width: 90%;
  }

  .our-mission-block p {
    font-size: 1.25rem;
  }

  .quote-section {
    text-align: center;
    background-position: center;
  }

  .quote-section h1 {
    font-size: 3.5rem;
  }

  .vl {
    display: none;
  }

  .survey-intro h1 {
    font-size: 2rem;
  }

  footer {
    padding: 40px 0px;
  }
}